## org.eclipse.emf.transaction.ui.internal
Class EMFTransactionUIPlugin.Implementation

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          org.eclipse.emf.common.EMFPlugin.EclipsePlugin
              org.eclipse.emf.transaction.ui.internal.EMFTransactionUIPlugin.Implementation

All Implemented Interfaces:
  org.eclipse.emf.common.EMFPlugin.InternalEclipsePlugin, org.eclipse.emf.common.util.Logger, org.eclipse.emf.common.util.ResourceLocator, org.osgi.framework.BundleActivator

Enclosing class:
  EMFTransactionUIPlugin

    public static class EMFTransactionUIPlugin.Implementation

extends org.eclipse.emf.common.EMFPlugin.EclipsePlugin

The definition of the Eclipse plug-in flavour of this EMF plug-in.

Field Summary

Fields inherited from class org.eclipse.emf.common.EMFPlugin.EclipsePlugin
`helper`

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`EMFTransactionUIPlugin.Implementation()` Initializes me with my Eclipse plug-in descriptor.

Method Summary
`void` `start(org.osgi.framework.BundleContext context)` This method is called upon plug-in activation
`void` `stop(org.osgi.framework.BundleContext context)` This method is called when the plug-in is stopped

Methods inherited from class org.eclipse.emf.common.EMFPlugin.EclipsePlugin
`doGetImage, getBaseURL, getImage, getString, getString, getString, getString, getSymbolicName, log`

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, initializeDefaultPluginPreferences, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, shutdown, startup, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EMFTransactionUIPlugin.Implementation

    public EMFTransactionUIPlugin.Implementation()

  Initializes me with my Eclipse plug-in descriptor.

Method Detail

### start

    public void start(org.osgi.framework.BundleContext context)
               throws Exception

  This method is called upon plug-in activation

  Specified by:
    `start` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `start` in class `Plugin`
  Throws:
    `Exception`

### stop

    public void stop(org.osgi.framework.BundleContext context)
              throws Exception

  This method is called when the plug-in is stopped

  Specified by:
    `stop` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `stop` in class `Plugin`
  Throws:
    `Exception`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.